<?php
/**
* @copyright Copyright (C) 2006 - 2010 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
* @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
**/
defined('JPATH_BASE') or die();
class JElementReportsList extends JElement
{
	function fetchElement($name, $value, &$node, $control_name)
	{
		if( !is_dir(JPATH_ADMINISTRATOR.DS.'components'.DS.'com_analytics') ){
			return '<b>'.JText::sprintf('%sMighty Analytics%s is not installed on your Joomla site',
			'<a href="http://www.mightyextensions.com/joomla-components/analytics-flash-dynamic-charts-diagrams">', '</a>').'</b>';
		}
		if( !is_array($value) ) {
			$value = array( $value );
		}
		$db = &JFactory::getDBO();

		$query = "SELECT id, name
				    FROM #__me_analytics
			   	   WHERE published = 1
				ORDER BY ordering";

		$db->setQuery($query);
		$reports = $db->loadObjectList();

		$options[] = JHTML::_('select.option', 0, '- '. JText::_( 'All' ).' -' );

		if( !$reports ) $reports = Array();
		$ccatid = '';
		foreach ( $reports as $key => $report ) {
			$options[] = JHTML::_('select.option', $report->id, $report->name );
		}

		if( count( $options ) >= 10 ) {
			$size = 10;
		} else {
			$size = count( $options );
		}
		return JHTML::_('select.genericlist',   $options, 	$control_name.'['.$name.'][]',	'size="'.$size.'" multiple="multiple"',	'value', 'text', $value );
	}
}
?>
