<?php
/**
* @copyright Copyright (C) 2006 - 2010 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
* @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
**/

defined( '_JEXEC' ) or die( 'Restricted access' );

require_once(dirname(__FILE__) . "/amlinebarChart.php");

/**
 * Class to create a line chart from the amCharts library.
 */
class AmLineChart extends AmLineBarChart {

	/**
	 * @see AmChart::getSwfPath()
	 */
	
	function getSwfPath() {
		return parent::getLibraryPath(). "amline/amline.swf";
	}
	
	function addSeries(&$series){
		if( empty($this->series) ) {
			$valueNode = &$series->addChild("value");
			$valueNode->addAttribute("xid", 0);
			$valueNode->setData(" 0 ");
		}else {

			foreach($this->series AS $key => $serie) {
	
				$valueNode = &$series->addChild("value");
				$valueNode->addAttribute("xid", addslashes(str_replace('"',"'", $key)));
				$valueNode->setData(addslashes(str_replace('"',"'", $serie['title'])));
			}
		}
		
	}

}

?>