<?php
/**
* @copyright Copyright (C) 2006 - 2010 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
* @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
**/
defined( '_JEXEC' ) or die( 'Restricted access' );

require_once( JPATH_ROOT.DS.'media'.DS.'mightyextensions'.DS.'xajax'.DS.'xajaxAIO.inc.php' );
jimport('joomla.utilities.date');	

function reportFindUser($value, $selected)
{
	global $mainframe;
	$objResponse = new JS_SAFE_xajaxResponse();
	if($value == '')
	    return $objResponse;

	$db = JFactory::getDBO();
	$sql = "SELECT id, username, name FROM #__users WHERE ";
	if (eregi ("([a-z])", $value))
		$sql .= "username REGEXP '$value' or name REGEXP '$value'";
	else
		$sql .= "id = '$value'";
	$sql .= " ORDER BY username";
	$db->setQuery($sql);
	$users = $db->loadObjectList();
	$opt = array();
	$opt[] = JHTML::_('select.option', '0', '- '.JText::_('Select user').' -');
	foreach ($users as $user)
	$opt[] = JHTML::_('select.option', $user->id, '['.$user->id.'] '.$user->name );

	$list = JHTML::_('select.genericlist',  $opt, 'user_id', 'class="inputbox"', 'value', 'text', $selected);
	$objResponse->assign("userlist", "innerHTML", $list);
	return $objResponse;
}

function reportApply($form)
{
	$mparams = JComponentHelper::getParams('com_analytics');
	$skin_path = JPATH_COMPONENT.'/skins/'. $mparams->get('skin', 'default');
	
	$objResponse = new JS_SAFE_xajaxResponse();
	
	$user = & JFactory::getUser();
	$title = JText::_('Reports');
	$id = $form['id'];
	$task = $form['task'];
	
	$repo['table'] = '';
	$repo['XLS'] = '';
	$repo['totals'] = '';
	$repo['charts'] = '';
	$repo['head'] = '';
	$params = '';
	$access = true;

	if($id && $task == 'details')
	{
		$pparams = isset($form['params']) ? $form['params'] : array();	
		$groupby = isset($pparams['groupby']) ? $pparams['groupby'] : 0;
		$dispatcher =& JDispatcher::getInstance();
		
		$report = JTable::getInstance('Report', 'Report');
		$report->load($id);
		$params = new JParameter($report->params);
		
		$start = (isset($form['ctime']) ? $form['ctime'] : $params->get('start', date("Y-m-d", strtotime("-1 Month"))));
		$finish = (isset($form['extime']) ? $form['extime'] : $params->get('finish', date("Y-m-d", strtotime("+1 day"))));

		// -- added ***************
		$newparams = $params->toArray();
		$newparams = array_merge($newparams, $pparams);
		$registry = new JRegistry();
		$registry->loadArray($newparams);
		$ini = $registry->toString();
		$params = new JParameter($ini);
		// -- added ***************
		
		$groups = $params->get('groups');
		if($groups && !is_array($groups)) settype($groups, 'array');

		if( $groups && 
			!(
		    	( $user->id == 62 ) ||
				(in_array($user->gid, $groups)) || 
				(!$user->id && in_array(29, $groups)) || 
				(in_array(30, $groups) && in_array($user->gid, array(23, 24, 25)) )
			)
		)
		{
			$access = false;
		}
		if($params->get('user_stick') && !$user->id)
		{
			$access = false;
		}
		if($access)
		{
			$report_name = $params->get('type');
			JPluginHelper::importPlugin('analytics', $report_name);
			
			$user_id = 0;
			if( $params->get('user_stick') )
				$user_id = $user->id;

			if($user->gid == 25) 
				$user_id = isset($form['user_id']) ?  $form['user_id'] : $user_id;
			
			$params->set('user_id', $user_id);
			
			$params->set('start', $start);
			$params->set('finish', $finish);
			if($groupby) $params->set('groupby', $groupby);
			
			if( !$type = $form['chart_type'] ) {
				$types = array();
				$dispatcher->trigger('onGetChartTypes', array (&$types, $report_name) );
				if( empty($types) )
					return;
				$type = $types[0]; 
			}
			$params->set('chart_type', $type);
			
			$key = 1;
			
			require_once (JPATH_COMPONENT.'/lib/'.$type.'Chart.php');
			require_once $skin_path.'/graph_settings.php';
			$classname = $type.'Chart';
			$objChart = new $classname;
			$objChart->setDefaultConfig($config[$type]);
			$objChart->setXmlSettingsFile(JURI::root().'components/com_analytics/skins/'. $mparams->get('skin', 'default').'/'.$type.'_settings.xml');
			
			$errors = '';
			$dispatcher->trigger('onDrawChart', array (&$objChart, $report_name, $params, &$errors));
			$objResponse->assign('errors', 'innerHTML', $errors);
			if( $errors != '' ) 
				return $objResponse; 
//////////////////////////////////// heading			
			$ctime = new JDate($params->get('start'));
			$extime = new JDate($params->get('finish'));
				
			$repo['head'] = '<div class="contentheading">
				'.JText::_( 'from' ).': <b>'.$ctime->toFormat('%d %b %Y').'</b> 
				'.JText::_( 'to' ).': <b>'.$extime->toFormat('%d %b %Y').'</b>
			</div> 
			';
			
//////////////////////////////////// chart			
				
			$dispatcher->trigger('onChartData', array (&$objChart, $report_name, $params));
			
			 $repo['charts'] = '<div id="flashcontent'.$key.'">
					<strong>You need to upgrade your Flash Player</strong>
				</div>
				';
			if($params->get('rep_image', 1))
			{ 
				$repo['charts'] .= '<a href="javascript:void(0);" onclick="exportImage'.$key.'()">'.JText::_('Save chart as PNG image').'</a>';
			}
			
			$objResponse->assign('chart','innerHTML',$repo['charts'] );
		 	
			$objResponse->script($objChart->getCode($key));
			$objResponse->setFunction('exportImage'.$key,'','
		 		var flashMovie'.$key.';
		    
		        flashMovie'.$key.' = document.getElementById("flashcontent'.$key.'");
				if (flashMovie'.$key.') {
		            flashMovie'.$key.'.exportImage("'.JURI::root().'index.php?option=com_analytics&task=exportImg&no_html=1&tmpl=component");  
		         }');
			
		 
//////////////////////////////////// end chart				
			
			$table = '';
			if($params->get('rep_totals'))
			{
				$out = '';
				$totals = $dispatcher->trigger('onGetTotals', array ( $report_name, $params) );

				if(count($totals) && count($totals[0]))
				{
					$out .= '<div class="totalDiv"><table width="100%" class="totalTab" cellpadding="2" border="1">
						<tr class="totalTitle">';
					$width = round(100 / count($totals[0]));
					foreach ($totals[0] as $val)
					{
						$out .= '<td align="center" width="'.$width.'%" bgcolor="white"><h1>'.$val['value'].'</h1><p>'.$val['text'].'</p></td>';
					}
					$out .= '</table></div>';
				}
				$repo['totals'] = $out;
			}
			if($params->get('rep_xls'))
			{
				$table = '';

				$dispatcher->trigger('onDrawTable', array (&$table, $report_name, $params) );
				if($table != '')
				{
					$file = JPATH_ROOT.DS.'cache'.DS.$user->id.DS.$report_name.'.xls';
					if(file_exists($file))
					{
					    JFile::write($file, "\xEF\xBB\xBF".file_get_contents($file));
						$skin_url = JURI::root().'components/com_analytics/skins/'. $mparams->get('skin', 'default');
						$repo['XLS'] .= '<img src="'.$skin_url.'/images/xls.png" align="absmiddle" /> '.
						
						JText::_('Download as Microsoft<sup>&reg;</sup> Office Excel<sup>&reg;</sup> format').' <b>'.
						JHTML::link( JURI::root().'cache/'.$user->id.'/'.$report_name.'.xls',
						$report_name.'.xls')
						.'</b><br>';
					}
				}
			}
			if($params->get('rep_table'))
			{
				$params->set('sort_by', (isset($pparams['sort_by']) ? $pparams['sort_by']: 0) );
				$params->set('limit', (isset($pparams['limit']) ? $pparams['limit'] : 0) );
				$params->set('rep_xls', false);

				$repotab = array();
				$table = '';
				$dispatcher->trigger('onDrawTable', array (& $table, $report_name, $params) );
				$repotab[] = $table;

				$repo['table'] = implode('<hr size="1">', $repotab);
				if ($repo['table'] == '')
					$repo['table'] = JText::_('No data found');
			}
			
			$objResponse->assign('heading','innerHTML',$repo['head']);
        	$objResponse->assign('totals','innerHTML',$repo['totals']);
        	$objResponse->assign('XLS','innerHTML',$repo['XLS']);
        	$objResponse->assign('table','innerHTML',$repo['table']);
        	
        	return $objResponse;
		}
	}
	
	return;
	
}

function jsCallAnalyticsPlugin( $plugin_group, $plugin_name, $plugin_function, $params )
{
	if (JString::strpos(JString::strtolower($plugin_function), 'xajax') === false)
	return;

	$dispatcher =& JDispatcher::getInstance();

	JPluginHelper::importPlugin( $plugin_group, $plugin_name );

	$objResponse = new JS_SAFE_xajaxResponse();

	array_unshift( $params, 1 );

	$params[0] = & $objResponse;

	$dispatcher->trigger( $plugin_function, $params );

	return $objResponse;
}

$xajax = new JS_SAFE_xajax(JURI::root().'index2.php?option=com_analytics&tmpl=component');

$xajax->registerFunction("reportFindUser");
$xajax->registerFunction("jsCallAnalyticsPlugin");
$xajax->registerFunction("reportApply");

//$xajax->bDebug = true;
$xajax->processRequest();
$xajax->printJavascript(JURI::root().'media/mightyextensions/xajax');

?>
