<?php
/**
* @copyright Copyright (C) 2006 - 2010 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
* @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
**/

/**
 * @param	array
 * @return	array
 */
function AnalyticsBuildRoute( &$query )
{
	$segments = array();
	$segments[0] = @$query['view'];
	unset( $query['view'] );

	if(isset($query['rid'])) {
		$segments[1] = 'show:'.$query['rid'];
		unset( $query['rid'] );
	}
	$i = 1;
	if(isset($segments[1]))
	$i = 2;

	if(isset($query['task'])) {
		$segments[$i] = $query['task'];
		unset( $query['task'] );
		$i ++;
	}

	if(isset($query['id'])) {
		$segments[$i] = $query['id'];
		unset( $query['id'] );
	}


	return $segments;
}

/**
 * @param	array
 * @return	array
 */
function AnalyticsParseRoute( $segments )
{
	$vars = array();
	$vars['view'] = $segments[0];
	if(isset($segments[1]))
	{
		if ( $segments[1] == 'details')
		{
			$vars['task'] = $segments[1];
			if(isset($segments[2]))
			$vars['id'] = $segments[2];
		}
		else
		{
			$rid = explode(":", $segments[1]);
			$vars['rid'] = $rid[1];
			if(isset($segments[2]))
			$vars['task'] = $segments[2];
			if(isset($segments[3]))
			$vars['id'] = $segments[3];
		}
	}

	return $vars;
}

?>