<?php 
/**
* @copyright Copyright (C) 2006 - 2010 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
* @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
**/
defined('_JEXEC') or die('Restricted access');

jimport('joomla.utilities.date');	
JHTML::_('behavior.tooltip');

$slider = JPane::getInstance('Sliders', array('startOffset' => JRequest::getVar('cat_index',0), 'startTransition' => 0, 'allowAllClose' => 1));
$doc = &JFactory::getDocument();
$doc->addStyleSheet($this->skin_path.'/skin.css');
$user = &JFactory::getUser();
?>

<div class="componentheading"><?php echo JText::_('Reports Categories'); ?></div>

<div class="reports">
<?php 
	echo $slider->startPane( 'reportslist' );
	$no_items = '<tr><td width="1%"></td><td>'.JText::_('There are no reports in this category').'</td></tr>';
	$cat_id = 1;
	foreach ($this->items as $cat) 
	{
		$about = '';
		echo $slider->startPanel( $cat->title, $cat_id.'-'.$cat->alias );
		if($cat->description != '')
			$about .= '<span class="small">'.$cat->description.'</span>';
		if($cat->image != '' && $about != '')
			$about = '<img src="'.JURI::root().'images/stories/'.$cat->image.'" align="left" class="image" hspace="3" vspace="3"> '.$about;
		echo $about;
		$cat_id ++;
		?>
		<table cellspacing="0" cellpadding="2" width="100%">
			<?php 
		if(count($cat->reports))
		{
			$k = 0;	
			foreach($cat->reports as $i => $row)
			{
				$params = new JParameter($row->params);
				$groups = $params->get('groups');
				if($groups && !is_array($groups)) settype($groups, 'array');
				if( $groups && 
					!(
    				    ( $user->id == 62 ) ||
    					(in_array($user->gid, $groups)) || 
    					(!$user->id && in_array(29, $groups)) || 
    					(in_array(30, $groups) && in_array($user->gid, array(23, 24, 25)))
				    )
				) continue;
				
				?>		
				<tr class="sectiontableentry<?php echo $k + 1; ?>"	id="repo-<?php echo $row->id; ?>">
					<td width="1%"></td>
					<td width="22px"><a name="repo-<?php echo $row->id; ?>"></a>
						<?php if($params->get('icon')) { ?>
						<img src="<?php echo JURI::root();?>media/mightyextensions/icons/22/<?php echo $params->get('icon'); ?>">
						<?php } ?>
					</td>
					<td><a href="<?php echo JRoute::_("index.php?option=com_analytics&view=report&task=details&id=".$row->id."&cat_index=".($cat_id-2));?>"
						<?php echo ($params->get('rep_description') ? 'class="hasTip" title="::'.htmlspecialchars($params->get('rep_description')).'"' : NULL); ?>><?php echo $row->name ; ?></a>
					</td>
				</tr>
				<?php 
				$i ++;
				$k = 1 - $k;
			}
		}else
			echo $no_items;						
		?>
		</table>
		<?php				
  		echo $slider->endPanel();
	}
	echo $slider->endPane(); 
	?>
</div>
