<?php
/**
* @copyright Copyright (C) 2006 - 2010 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
* @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
**/
defined('_JEXEC') or die( 'Restricted access' );

jimport( 'joomla.application.component.view');

class ReportViewCategory extends JView
{
	function display($tpl = null)
	{
		global $mainframe;
		$mparams = JComponentHelper::getParams('com_analytics');
		$skin_path = JURI::root().'components/com_analytics/skins/'. $mparams->get('skin', 'default');

		$model	=& JModel::getInstance('report','ReportModel');

		$menus	= &JSite::getMenu();
		$menu	= $menus->getActive();
		$menu_params = new JParameter( $menu->params );
		$rid = JRequest::getVar('rid') ? JRequest::getVar('rid') : $menu_params->get('rid', 0) ;
		if( is_array($rid) ) 
			$rid = implode(",", $rid);
			
		$catids = false;

		if($rid)
			$catids = $model->getCategoriesIdsByReportsIds($rid);
		$items = $model->getCategories($catids);
		foreach ($items as $i => $cat)
		{
			$items[$i]->reports = $model->getReportsByCategoryIds($cat->id, $rid);
		}
		
		$this->assignRef('user',		JFactory::getUser());
		$this->assignRef('items',		$items);
		$this->assignRef('skin_path',	$skin_path);

		parent::display($tpl);
	}
}