<?php 
/**
* @copyright Copyright (C) 2006 - 2010 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
* @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
**/
defined('_JEXEC') or die('Restricted access');

jimport('joomla.utilities.date');
JHTML::_('behavior.mootools');

$task = JRequest::getVar('task');
$dispatcher =& JDispatcher::getInstance();
$doc = &JFactory::getDocument();
$doc->addStyleSheet($this->skin_url.'/skin.css');

$params = new JParameter($this->report->params); 
$types = array();
JPluginHelper::importPlugin('analytics', $params->get('type'));
$dispatcher->trigger('onGetChartTypes', array (&$types, $params->get('type')) );

if ( empty($types) ){
	$this->error = JText::_('Cannot find report chart types');
}
?>

<table width="100%">
<tr>
	<td valign="top">
	<?php if($params->get('icon')): ?> 
		<img class="report_icon" src="<?php echo JURI::root();?>media/mightyextensions/icons/68/<?php echo $params->get('icon');?>" />
	<?php endif; ?>
	</td>
	<td>
		<span class="componentheading"><?php echo $this->report->name; ?></span>
		<p>
		<?php echo $params->get('rep_description') ?>
		</p>
		<input type="button" class="button" style="float: right;" onclick="xajax_reportApply(xajax.getFormValues('adminForm'));closeForm();"  value="<?php echo JText::_('Apply');?>" />
		<span class="small"><?php echo '<b>'.JText::_('Category').':</b> <a href="'.JRoute::_('index.php?option=com_analytics&view=category&cat_index='.JRequest::getVar('cat_index',0)).'">'.$this->report->category.'</a>'; ?></span>&nbsp;&nbsp;
		<a class="small" href="<?php echo JRoute::_('index.php?option=com_analytics&view=category');?>">Back to report list</a>
	</td>
</tr>
</table>

<div class="contentpanopen">

<form action="" method="post" name="adminForm" id="adminForm">

	<?php include $this->skin_path.DS.'form.php';	?>
	
	<input type="hidden" name="option" value="com_analytics" />
	<input type="hidden" name="task" value="<?php echo $task; ?>" />
	<input type="hidden" name="id" value="<?php if($this->id) echo $this->id; ?>" />
</form>
<br>
<div id="errors"></div>
<div id="heading"></div>
<div id="totals"></div>
<div id="chart"></div>
<div id="XLS"></div>
<br>
<div id="table"></div>

</div>
<div class="clr" style="clear: both"></div>
<br>
