<?php
/**
* @copyright Copyright (C) 2006 - 2010 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
* @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
**/

defined( '_JEXEC' ) or die( 'Restricted access' );

require_once(dirname(__FILE__) . "/amlinebarChart.php");

/**
 * Class to create a bar chart from the amCharts library.
 */
class AmColumnChart extends AmLineBarChart {

	/**
	 * @see AmChart::getSwfPath()
	 */
	function getSwfPath() {
		return parent::getLibraryPath(). "amcolumn/amcolumn.swf";
	}
	
	function addSeries(&$series){
		if(count($this->series) > 30){
			$this->setConfig('values.category.frequency',3);
		}
		foreach($this->series AS $key => $serie) {

			$valueNode = &$series->addChild("value");
			$valueNode->addAttribute("xid", addslashes(str_replace('"',"'", $key)));
			$valueNode->setData(addslashes(str_replace('"',"'", $serie['title'])));
		}
	}
}

?>