<?php 
	$doc->addScriptDeclaration("
		var Slider = null;
	
		window.addEvent('domready', function(){
			Slider = new Fx.Slide('report', {duration: 200});
		});
		
		function toggle()
		{
			Slider.toggle();
		 	var img = $('repoArrow');
		 	if(Slider.open) {
		 		 img.src = '".$this->skin_url."/images/rightarrow.png';
		 	} else {
		 		 img.src = '".$this->skin_url."/images/downarrow.png';
		 	}	
		}
		
		function closeForm(){ /* execute on press Apply button*/
			Slider.hide();
		}
	
		function selectChartType(type) {
			$('chart_type').value = type;
			$$('img.chartbutton').each(function(img,index){
				img.setProperty('src','".$this->skin_url."/buttons/'+img.getProperty('id')+'_gray.png');
				});
			$(type).setProperty('src','".$this->skin_url."/buttons/'+type+'.png');
		}
	");
?>

<fieldset id="repoParams" class="repoParams" >
<legend onclick="toggle();"><img src="<?php echo $this->skin_url; ?>/images/downarrow.png"
	align="top" id="repoArrow" />&nbsp;&nbsp;<?php echo JText::_('Setup Report'); ?></legend>
<div id="report">

<?php if( !$this->error ): ?>

	<?php if( $this->access ):?>
	
		<table width="100%" cellpadding="0" cellspacing="0" border="0">
			<tr valign="top">
				<td >
				<!-- General Form -->
					<table cellpadding="2" cellspacing="0" class="paramlist admintable">
						<?php if($params->get('date_range', 0)): ?>
							
								<tr>
									<TD><label for="created"><?php echo JText::_('Start'); ?>: </label></TD>
									<TD><?php echo JHTML::_('calendar', JRequest::getVar('ctime', $params->get('start', date("Y-m-d", strtotime("-1 Month")))), 'ctime', 'created', '%Y-%m-%d', array('class'=>'inputbox', 'size'=>'15',  'maxlength'=>'10')); ?></TD>
									<TD rowspan="2"><?php echo JText::_('Chart type'); ?></TD>
									<TD rowspan="2"><input type="hidden" name="chart_type" id="chart_type" />
									<?php
										$i=0;
										foreach ($types as $type) {
											echo '<img id="'.$type.'" class="chartbutton" src="'.$this->skin_url.'/buttons/'.$type.'_gray.png" onclick="selectChartType(\''.$type.'\');"/>&nbsp;';
											if ( !$i ){
												?>
													<script type="text/javascript">selectChartType('<?php echo $type ?>');</script>
												<?php 
												$i = 1;
											}
										}
									?>
									</TD>
								</tr>
								<tr>
									<TD><label for="expired"><?php echo JText::_('Finish'); ?>: </label></TD>
									<TD><?php echo JHTML::_('calendar', JRequest::getVar('extime', $params->get('finish',date("Y-m-d", strtotime("today")))), 'extime', 'expired', '%Y-%m-%d', array('class'=>'inputbox', 'size'=>'15',  'maxlength'=>'10')); ?></TD>
									
									
								</tr>
								<?php if($this->user->gid == 25 && $this->show_userlist): 
									echo '<tr><td cellpadding="1" cellspacing="0" valign="top">'.JText::_('User').': </td><td colspan="5">';
									if($this->id && JRequest::getVar('search_user') != '') { ?>
										<script type="text/javascript">
											xajax_reportFindUser('<?php echo JRequest::getVar('search_user'); ?>', <?php echo JRequest::getInt('user_id'); ?>);
										</script>
									<?php
									}
									if($this->show_userlist == 'list') {
										 echo $this->userlist;
									}else{ ?>
										<input type="text" name="search_user" value="<?php echo JRequest::getVar('search_user'); ?>" size="20" class="inputbox" id="search_user">
										<input type="button" value="<?php echo JText::_('Find'); ?>" class="button" 
											onclick="if(this.form.search_user.value != '') xajax_reportFindUser(this.form.search_user.value, 0);">
										<input type="button" value="<?php echo JText::_('Clear'); ?>" class="button" 
											onclick="this.form.search_user.value = ''; document.getElementById('userlist').innerHTML = '';">
										<br>
										<div id="userlist"></div>
									<?php }
									echo '</td></tr>';
								endif; ?>
						<?php endif; ?>
					</table>
				<!-- General Form End -->
				<hr>
				</td>
			</tr>
			<tr>
				<td>
				<!-- Plugin Form -->
					<?php
						$form = '';
						$dispatcher->trigger('onGetForm', array (&$form, $params->get('type'), $this->report, $params) );
						echo $form;
					?>
				<!-- Plugin Form End -->
				</td>
			</tr>
		</table>
	<?php endif; ?>
<?php else: ?>
	 <?php echo '<h3>'.$this->error.'</h3>'; ?>
<?php endif; ?>
</div>
</fieldset>