<?php
/**
* @copyright Copyright (C) 2006 - 2010 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
* @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
**/

defined( '_JEXEC' ) or die( 'Restricted access' );

$config['amline'] = array(
      'axis' => 'left',                              //         <!-- [left] (left/ right) indicates which y axis should be used -->
      'color_hover' => '',                           //        <!-- [#BBBB00] (hex color code) -->
      'line_alpha' => '',		                     //        <!-- [100] (0 - 100) -->
      'line_width' => 2,	                         //	     <!-- [0] (Number) 0 for hairline -->                                    
      'fill_alpha'=> '',		                     //        <!-- [0] (0 - 100) if you want the chart to be area chart, use bigger than 0 value -->
      'fill_color' => '',		                     //          <!-- [grpah.color] (hex color code) Separate color codes with comas for gradient -->
      'balloon_color' => '',		                 //        <!-- [graph color] (hex color code) leave empty to use the same color as graph -->
      'balloon_alpha' => '',		   	             //         <!-- [100] (0 - 100) -->      
      'balloon_text_color' => '', 		     		 //          <!-- [#FFFFFF] (hex color code) -->
      'bullet' => '',                                //       <!-- [] (square, round, square_outlined, round_outlined, filename.swf) can be used predefined bullets or loaded custom bullets. Leave empty if you don't want to have bullets at all. Outlined bullets use plot area color for outline color -->
                                                     //         <!-- The chart will look for this file in amline_path folder (amline_path is set in HTML) -->
      'bullet_size' => '',		                     //        <!-- [6](Number) affects only predefined (square and round) bullets, does not change size of custom loaded bullets -->
      'bullet_color' => '',                     	 //	   		<!-- [graph color] (hex color code) affects only predefined (square and round) bullets, does not change color of custom loaded bullets. Leave empty to use the same color as graph  -->
      'bullet_alpha' => '',                          //		 <!-- [graph alpha] (hex color code) Leave empty to use the same alpha as graph -->
      'hidden' => '',                                //       <!-- [false] (true / false) vill not be visible until you check corresponding checkbox in the legend -->
      'selected' => 'true',                          //		   <!-- [true] (true / false) if true, balloon indicating value will be visible then roll over plot area -->
      'balloon_text' => '<![CDATA[<b>{value}</b>]]>',//       <!-- [<b>{value}</b><br>{description}] ({title} {value} {series} {description} {percents}) You can format any balloon text: {title} will be replaced with real title, {value} - with value and so on. You can add your own text or html code too. -->
      'data_labels' => '',        					 //       <!-- [] ({title} {value} {series} {description} {percents}) Data labels can display value (and more) near your point on the plot area. -->
                                                     //         <!-- to avoid overlapping, data labels, the same as bullets are not visible if there are more then hide_bullets_count data points on plot area. -->                                                              
      'data_labels_text_color' => '',       		 //		  <!-- [text_color] (hex color code) --> 
      'data_labels_text_size' => 10,				 //         <!-- [text_size] (Number) -->
      'data_labels_position' => '',		      	  	 //		  <!-- [above] (below / above) -->            
      'vertical_lines' => '',		     	         //          <!-- [false] (true / false) whether to draw vertical lines or not. If you want to show vertical lines only (without the graph, set line_alpha to 0 -->
      'visible_in_legend' => ''
      );
      
$config['amcolumn'] = array(
	  'type' => 'column',                                //		<!-- [column] (column/line) -->                  
      'alpha' => '',                                     //     <!-- [column.alpha (line.alpha)] (0 - 100) -->
      'data_labels' => '',                               //     <!-- [column.data_labels (line.data_labels)] ({title} {value} {series} {percents} {start} {difference} {total}) You can format any data label: {title} will be replaced with real title, {value} - with value and so on. You can add your own text or html code too. -->
      'gradient_fill_colors' => '',  		     		 //     <!-- [] (hex color codes separated by comas) columns can be filled with gradients. Set any number of colors here. Note, that the legend key will be filled with color value, not with gradient. -->
      'balloon_color' => '',                 		     //     <!-- [balloon.color] (hex color code) leave empty to use the same color as graph -->
      'balloon_alpha' => '', 	                  		 //     <!-- [balloon.alpha] (0 - 100) -->      
      'balloon_text_color' => '',              			 //		<!-- [balloon.text_color] (hex color code) -->
      'balloon_text' => '<![CDATA[{value}]]>',      	 //     <!-- [column(line).balloon.text] ({title} {value} {series} {description} {percents}) You can format any balloon text: {title} will be replaced with real title, {value} - with value and so on. You can add your own text or html code too. -->
      'fill_alpha' => '',		                         //     <!-- [0] (0 - 100) fill alpha (use it if you want to have area chart) -->
      'width'=> '',                                      //     <!-- [2] (Number) line width -->
      'bullet' => '',                                    //	    <!-- [line.bullet] (round, square, round_outlined, square_outline, round_outline, square_outlined, filename) -->            
      'bullet_size' => '',                             	 //		<!-- [line.bullet_size] (Number) bullet size -->
      'bullet_color' => '',                          	 //		<!-- [] (hex color code) bullet color. If not defined, line color is used -->
      'visible_in_legend' => '',   	          		   	 //		<!-- [true] (true / false) whether to show legend entry for this graph or not -->
      'pattern' => '',                                   //		<!-- [] (path to the pattern file) Pattern file can be: swf, jpg, gif or png. The chart looks for the file in the "path" folder. the pattern can be also set for individual columns in the data xml file -->
      'pattern_color' => ''                          	 //		<!-- [] (hex color code) the color of the pattern -->      
      );
      
$config['ampie'] = array();